; ============================================================================================
; Title:   ObjErrs.inc
; Author:  G. Friedrich  @ July 2004
; Version: 1.0.0
; Purpose: Support of object error codes for ObjAsm32.
; ============================================================================================


; ============================================================================================
;    Object Error Codes
; ============================================================================================

;Stream object
STM_OK                  equ     0000    ;All OK
STM_OPENERROR           equ     0100    ;Error opening a file
STM_READERROR           equ     0101    ;Read beyond end of stream
STM_WRITEERROR          equ     0102    ;Cannot expand stream
STM_REGISTRATIONERROR   equ     0103    ;Object not found into object chain
STM_INVALIDCLASSID      equ     0104    ;Invalid object class ID (= 0)
STM_INVALIDOBJECT       equ     0105    ;Invalid Object pointer (= NULL)
STM_OVERFLOW            equ     0106    ;Storage capacity of stream exceeded
STM_OUTOFMEMORY         equ     0107    ;No more memory available
STM_SEEKERROR           equ     0108    ;Seek position is out of limit (> Size - 1)
STM_BUFFERSIZEERROR     equ     0109    ;Buffer size = 0
STM_FILENOTFOUND        equ     0110    ;Specified file can not be found
STM_SETUPERROR          equ     0111    ;Configuration parameter error (Check Init method)

;Collection object
COL_OK                  equ     0000    ;All OK
COL_OUTOFMEMORY         equ     0200    ;There is no more free memory
COL_INDEXERROR          equ     0201    ;Index not in range [0..Count-1]
COL_OVERFLOW            equ     0202    ;Limit > MaxSize
COL_SETUPERROR          equ     0203    ;Configuration parameter error (Check Init method)

;Array object
ARR_OK                  equ     0000    ;All OK
ARR_OUTOFMEMORY         equ     0300    ;No more memory available
ARR_INDEXOUTOFRANGE     equ     0301    ;Dimension index not in range

;Matrix object
MTX_OK                  equ     0000    ;All OK
MTX_SRCCOLDIF           equ     0400    ;Source matrix has an uncompatible column number
MTX_SRCROWDIF           equ     0401    ;Source matrix has an uncompatible row number
MTX_DSTCOLDIF           equ     0402    ;Destination matrix has an uncompatible column number
MTX_DSTROWDIF           equ     0403    ;Destination matrix has an uncompatible row number
MTX_DIFCOLROW           equ     0404    ;Rows and columns not equal
MTX_SRBADASCII          equ     0405    ;Bad ASCII matrix format
MTX_INVALIDTYPE         equ     0406    ;Matrix Type is not acceptable
MTX_NOUNIQUESOLUTION    equ     0407    ;Matrix is a parametric type with infinite solutions
                                        ;(no unique solution to be found)
;DBase 3 object
DB3_NOERROR             equ     0000    ;All OK
DB3_FILENOTFOUND        equ     0500
DB3_INVALIDFILENAME     equ     0501    ;Pointer to file name is null
DB3_FILEERROR           equ     0502
DB3_FILECLOSED          equ     0503
DB3_READERROR           equ     0504
DB3_WRITEERROR          equ     0505
DB3_READBEYONDEND       equ     0506
DB3_READBEFORESTART     equ     0507
DB3_WRITEBEFORESTART    equ     0508
DB3_FIELDERROR          equ     0509    ;Field defined in DBIndex not found in DBF.
DB3_FIELDTYPEERROR      equ     0510    ;Type isn't C, N, D, L or M/Can't sort on memo fields.
DB3_FIELDINDEXERROR     equ     0511
DB3_DATAFORMATERROR     equ     0512    ;I.e.: 125A.23 is not a number (bFieldType N).
DB3_DATAOVERFLOW        equ     0513    ;Data size is bigger than field lenght.
DB3_OUTOFMEMORY         equ     0514

;DBQuery object
DBQ_OK                  equ     0000    ;All OK
DBQ_OUTOFMEMORY         equ     0600    ;There is no more free memory
DBQ_INDEXERROR          equ     0601    ;Index not in range [0..Count-1]

;GIFDecoder
GIF_OK                  equ     0000    ;All OK
GIF_OUTOFMEMORY         equ     0700
GIF_RESNOTFOUND         equ     0701
GIF_RESLOADERROR        equ     0702
GIF_FILENOTFOUND        equ     0703
GIF_FILELOADERROR       equ     0704
GIF_WRONGSIGNATURE      equ     0705    ;Not a Gif
GIF_FORMATERROR         equ     0706 
GIF_MISSINGCOLORTABLE   equ     0707
GIF_UNKNOWNBLOCK        equ     0708
GIF_DECODERERROR        equ     0709

;IniFile object
INI_OK                  equ     0000    ;All OK
INI_READERROR           equ     0801
INI_WRITEERROR          equ     0802

;RgnButton object
RBT_OK                  equ     0000    ;All OK
RBT_NORESOURCE          equ     0901
RBT_RESOURCEERROR       equ     0902
RBT_RESOURCEBMPERROR    equ     0903

;IDL object (PIDL)
IDL_OK                  equ     0000    ;All OK
IDL_OUTOFMEMORY         equ     0910

;Hooking objects
IHK_OK                  equ     0000    ;All OK
IHK_PROCNOTFOUND        equ     0940
IHK_MEMWRITEERROR       equ     0941

;COM objects
COM_INTERFACE_REF_OK    equ     0000    ;All OK
COM_INTERFACE_REF_ERROR equ     1001    ;Attempt to decrease the count below zero
COM_SERVER_LOCK_ERROR   equ     1002    ;Attempt to decrease the count below zero
COM_DLL_REFCNT_ERROR    equ     1003    ;Attempt to decrease the count below zero